composer 是php 5.3 版本以上用来管理依赖关系的工具,你可以在自已的项目中声明所依赖的外部工具库,并使用 composer 来安装它们。现在越来越多的 php 框架或sdk都需要 composer 来安装,比如 thinkphp 6.0 以上的版本和腾讯云的一些sdk等等,基于这种情况,我们来简单的介绍下在liunx宝塔面板下安装composer的方法。

注意下面的安装是将 composer 做为环境变量安装,是直接可以使用 composer 命令的!

liunx宝塔面板安装composer教程

1、开启 putenv 函数

composer 的安装需要php开启 putenv 函数,否则会安装失败!由于 putenv 函数可以设置特定的环境变量而被认为是一个潜在的安全漏洞,因此php在安装之初是默认禁止它的!下面提供了两种开启 putenv 函数的方法,大家选择其中一种操作即可!

方法一、php 管理面板中删除 putenv 函数

宝塔面板 putenv

方法二、修改 php 的配置文件 php.ini

打开 php.ini 文件并搜索 “disable_functions”,并将其后面的 putenv 删除即可!

php.ini putenv

2、安装 composer

在宝塔web管理页中打开终端或者ssh连接服务器!

(1)、安装 composer 命令:

composer config -g repo.packagist composer https://packagist.phpcomposer.com

阿里云源:

composer config repo.packagist composer https://mirrors.aliyun.com/composer/

腾讯云源:

composer config -g repos.packagist composer https://mirrors.cloud.tencent.com/composer/

注:如果已安装过composer,在你安装时,会提示让你使用更新命令,直接输入下面的命令即可!

(2)、更新 composer 命令

composer self-update

(3)、清除缓存

composer clear

宝塔面板 composer

3、检查 composer 是否安装成功

执行查看版本号的命令 

composer -v

composer --version

composer 版本查看

补充说明:

宝塔是支持php多版的,如果在不同版本的php中使用 composer ,只要开启php中的 putenv 函数即可!